View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000849aMuleServerspublic2006-03-21 15:212006-05-24 03:55
Assigned ToKry 
PlatformOSOS Version
Product Version2.1.1 
Target VersionFixed in VersionSVN 
Summary0000849: Smart LowId never worked
DescriptionI tested this very-old feature, and found that it does not work. Using iptables I blocked my TCP port, and found that it always connects with low-id to the first or second server.
Additional InformationLooking at eMule and aMule 2.1.1, I saw that it has never been changed. That's strange. People are talking about this feature all over.
Maybe I missed something?
Anyway, here is the simple fix. Seems like someone forgot to set the state to 1 before trying to connect a new server. This is why this feature does not work when starting aMule.
The fix:

void CServerConnect::ConnectToServer(CServer* server, bool multiconnect)
    //eyal 21-03-2006: fix smart-lowid
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
Kry (manager)
2006-05-24 03:55


- Issue History
Date Modified Username Field Change
2006-03-21 15:21 eyalzo New Issue
2006-03-22 20:43 Kry Status new => assigned
2006-03-22 20:43 Kry Assigned To => Kry
2006-05-24 03:55 Kry Status assigned => resolved
2006-05-24 03:55 Kry Fixed in Version => CVS
2006-05-24 03:55 Kry Resolution open => fixed
2006-05-24 03:55 Kry Note Added: 0002000

Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker